# LightDM Mini Greeter Configuration
#
# To test your configuration out, run: lightdm --test-mode

[greeter]
# The user to login as.
user = thomas 
# Whether to show the password input's label.
show-password-label = true
# The text of the password input's label.
password-label-text = Password:
# The text shown when an invalid password is entered. May be blank.
invalid-password-text = Invalid Password
# Show a blinking cursor in the password input.
show-input-cursor = true
# The text alignment for the password input. Possible values are:
# "left", "center", or "right"
password-alignment = right
# The number of characters that should fit into the password input.
# A value of -1 will use GTK's default width.
# Note: The entered width is a suggestion, GTK may render a narrower input.
password-input-width = -1
# Show the background image on all monitors or just the primary monitor.
show-image-on-all-monitors = false


[greeter-hotkeys]
# The modifier key used to trigger hotkeys. Possible values are:
# "alt", "control" or "meta"
# meta is also known as the "Windows"/"Super" key
mod-key = meta
# Power management shortcuts (single-key, case-sensitive)
shutdown-key = s
restart-key = r
hibernate-key = h
suspend-key = u


[greeter-theme]
# A color from X11's `rgb.txt` file, a quoted hex string(`"#rrggbb"`) or a
# RGB color(`rgb(r,g,b)`) are all acceptable formats.

# The font to use for all text
font = "Sans"
# The font size to use for all text
font-size = 1em
# The font weight to use for all text
font-weight = bold
# The font style to use for all text
font-style = normal
# The default text color
text-color = "#282828"
# The color of the error text
error-color = "#F8F8F0"
# An absolute path to an optional background image.
# The image will be displayed centered & unscaled.
# Note: The file should be somewhere that LightDM has permissions to read
#       (e.g., /etc/lightdm/).
background-image = ""
# The screen's background color.
background-color = "#282828"
# The password window's background color
window-color = "#E78A4E"
# The color of the password window's border
border-color = "#E78A4E"
# The width of the password window's border.
# A trailing `px` is required.
border-width = 2px
# The pixels of empty space around the password input.
# Do not include a trailing `px`.
layout-space = 15
# The character used to mask your password. Possible values are:
# "-1", "0", or a single unicode character(including emojis)
# A value of -1 uses the default bullet & 0 displays no characters when you
# type your password.
password-character = -1
# The color of the text in the password input.
password-color = "#D4BE98"
# The background color of the password input.
password-background-color = "#282828"
# The color of the password input's border.
# Falls back to `border-color` if missing.
password-border-color = "#282828"
# The width of the password input's border.
# Falls back to `border-width` if missing.
password-border-width = 2px
# The border radius of the password input.
password-border-radius = 0
